#include <pch.hpp>

#include "opengl/opengl_vertex_array.hpp"
#include "renderer/renderer.hpp"

#include <renderer/vertex_array.hpp>

namespace OpenEngine {
    VertexArray* VertexArray::Create()
    {
        switch (Renderer::GetApi()) {
            case RendererAPI::API::None : OE_CORE_ASSERT(false, "No render API selected!"); return nullptr;
            case RendererAPI::API::OpenGL : return new OpenGLVertexArray();
        }

        OE_CORE_ASSERT(false, "Selected API not supported");
        return nullptr;
    }
}
